Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Patches » RHBA-2011:1075-01

Overview

Id RHBA-2011:1075-01
Name Red Hat 2011:1075-01 RHBA cyrus-imapd bug fix update for RHEL 5 x86
Vendor Name red_hat
Product None
Content Type Recommended Recommended
Language(s)
Operating System(s) Linux 
Released On 21 Jul 2011 12:00:00

RHBA-2011:1075-01

Red Hat 2011:1075-01 RHBA cyrus-imapd bug fix update for RHEL 5 x86

Vendor Name

red_hat

Product

None

Released On

21 Jul 2011 12:00:00

Url

https://rhn.redhat.com/errata/RHBA-2011-1075.html

Description

LSAC(v2)
The cyrus-imapd packages contain a high-performance mail server with IMAP, POP3, NNTP and SIEVE support. This update fixes the following bugs: * Prior to this update, cyrus-imapd cleared its back end before deinitialization. As a result, when the "unselect" command was used in proxy mode, cyrus-imapd terminated unexpectedly. This bug has been fixed in this update so that cyrus-imapd now clears the back end after deinitialization, and the "unselect" command can be used properly in proxy mode as expected. (BZ#679253) * Prior to this update, the "ignorequota" command did not work on 64-bit systems. As a result, despite using the "ignorequota" command, it was not possible to deliver a mail message to a user whose quota exceeded the quota limit. This bug has been fixed in this update so that the "ignorequota" command now works on 64-bit systems, as expected. (BZ#584088) * Prior to this update, Python files included in the cyrus-imapd packages contained the "#!/usr/bin/env python" string. With this update, the string in the aforementioned files has been modified to "#!/usr/bin/python" so that another version of Python can now be installed as expected. (BZ#521338) * Prior to this update, the cyrus-imapd packages required the lm_sensors-devel package at build time. The lm_sensors-devel package is not available on all platforms supported by Red Hat Enterprise Linux 5. As a result, a very complex spec file had to be distributed with the cyrus-imapd packages. With this update, this bug has been fixed in this update so that the cyrus-imapd packages now require only the net-snmp-devel package, which already solves the lm_sensors package requirement. (BZ#437999) * Prior to this update, cyrus-imapd did not close all file descriptors that were used for quota. As a result, after moving several folders, cyrus-imapd could have used up available file descriptors and could have not been able to function properly. With this update, cyrus-impad now closes all quota descriptors when they are no longer required, as expected. (BZ#253854) All users are advised to upgrade to these updated cyrus-imapd packages, which fix these bugs.

Related Resources

Related Vulnerabilities

None

Related Patches

None

Superseded Patches


Last Updated: 27 May 2016 11:15:10